Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class AbstractAccordion

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIOutput
                  org.richfaces.component.AbstractTogglePanel
                      org.richfaces.component.AbstractAccordion

All Implemented Interfaces:
  java.util.EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.ValueHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, AbstractDivPanel, org.richfaces.component.MetaComponentEncoder, org.richfaces.component.MetaComponentResolver, org.richfaces.event.ItemChangeSource

Direct Known Subclasses:
  UIAccordion

    public abstract class AbstractAccordion

extends AbstractTogglePanel

Since:
  2010-08-05
Author:
  akolonitsky

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`

Fields inherited from class org.richfaces.component.AbstractTogglePanel
`ACTIVE_ITEM_META_COMPONENT, META_NAME_FIRST, META_NAME_LAST, META_NAME_NEXT, META_NAME_PREV, UPDATE_MESSAGE_ID`

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Fields inherited from interface org.richfaces.component.MetaComponentResolver
`META_COMPONENT_SEPARATOR_CHAR`

Constructor Summary
`protected` | `AbstractAccordion()`

Method Summary
`java.lang.String` | `getActiveItem()`
`java.lang.String` | `getFamily()`
`abstract java.lang.String` | `getHeight()`
`abstract java.lang.String` | `getItemActiveHeaderClass()`
`abstract java.lang.String` | `getItemActiveLeftIcon()`
`abstract java.lang.String` | `getItemActiveRightIcon()`
`abstract java.lang.String` | `getItemContentClass()`
`abstract java.lang.String` | `getItemDisabledHeaderClass()`
`abstract java.lang.String` | `getItemDisabledLeftIcon()`
`abstract java.lang.String` | `getItemDisabledRightIcon()`
`abstract java.lang.String` | `getItemHeaderClass()`
`abstract java.lang.String` | `getItemInactiveHeaderClass()`
`abstract java.lang.String` | `getItemInactiveLeftIcon()`
`abstract java.lang.String` | `getItemInactiveRightIcon()`
`abstract java.lang.String` | `getOnbeforeitemchange()`
`abstract java.lang.String` | `getOnitemchange()`
`abstract java.lang.String` | `getWidth()`

Methods inherited from class org.richfaces.component.AbstractTogglePanel
`addItemChangeListener, broadcast, decode, encodeBegin, encodeMetaComponent, getChildIndex, getData, getExecute, getFirstItem, getItem, getItemByIndex, getItemChangeListener, getItemChangeListeners, getItems, getLastItem, getNextItem, getNextItem, getPrevItem, getPrevItem, getRender, getRenderedItems, getRendersChildren, getStatus, getSubmittedActiveItem, getSubmittedValue, getSwitchType, isActiveItem, isActiveItem, isCycledSwitching, isImmediate, isLimitRender, isLocalValueSet, isRequired, isValid, processDecodes, processUpdates, processValidators, queueEvent, removeItemChangeListener, resetValue, resolveClientId, setActiveItem, setEventPhase, setEventPhase, setImmediate, setLocalValueSet, setRequired, setSubmittedActiveItem, setSubmittedValue, setSwitchType, setValid, setValue, setValueExpression, substituteUnresolvedClientId, updateModel, visitTree`

Methods inherited from class javax.faces.component.UIOutput
`clearInitialState, getConverter, getLocalValue, getValue, markInitialState, restoreState, saveState, setConverter`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getValueBinding, invokeOnComponent, isRendered, isTransient, processRestoreState, processSaveState, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.richfaces.component.AbstractDivPanel
`getDir, getLang, getOnclick, getOndblclick, getOnmousedown, getOnmousemove, getOnmouseout, getOnmouseover, getOnmouseup, getStyle, getStyleClass, getTitle`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### AbstractAccordion

    protected AbstractAccordion()

Method Detail

### getFamily

    public java.lang.String getFamily()

  Overrides:
    `getFamily` in class `AbstractTogglePanel`

### getActiveItem

    public java.lang.String getActiveItem()

  Overrides:
    `getActiveItem` in class `AbstractTogglePanel`

### getItemActiveLeftIcon

    public abstract java.lang.String getItemActiveLeftIcon()

### getItemInactiveLeftIcon

    public abstract java.lang.String getItemInactiveLeftIcon()

### getItemDisabledLeftIcon

    public abstract java.lang.String getItemDisabledLeftIcon()

### getItemActiveRightIcon

    public abstract java.lang.String getItemActiveRightIcon()

### getItemInactiveRightIcon

    public abstract java.lang.String getItemInactiveRightIcon()

### getItemDisabledRightIcon

    public abstract java.lang.String getItemDisabledRightIcon()

### getWidth

    public abstract java.lang.String getWidth()

### getHeight

    public abstract java.lang.String getHeight()

### getItemActiveHeaderClass

    public abstract java.lang.String getItemActiveHeaderClass()

### getItemDisabledHeaderClass

    public abstract java.lang.String getItemDisabledHeaderClass()

### getItemInactiveHeaderClass

    public abstract java.lang.String getItemInactiveHeaderClass()

### getItemContentClass

    public abstract java.lang.String getItemContentClass()

### getItemHeaderClass

    public abstract java.lang.String getItemHeaderClass()

### getOnitemchange

    public abstract java.lang.String getOnitemchange()

  Specified by:
    `getOnitemchange` in class `AbstractTogglePanel`

### getOnbeforeitemchange

    public abstract java.lang.String getOnbeforeitemchange()

  Specified by:
    `getOnbeforeitemchange` in class `AbstractTogglePanel`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.